Désinstallation de phpmyadmin

Fabrice François fabr.francois at wanadoo.fr
Mer 26 Oct 15:07:32 BST 2005


Surfoo <surfooo at gmail.com> a écrit :
> Bonjour à tous,

Bonjour,

> Je suis actuellement sous Breezy, avec mon serveur apache2, php4, MySQL 
> 4.023.
> J'ai voulu passer à PHP5 avec l'aide de synaptic mais au moment de 
> supprimer le paquet phpmyadmin (dépendance), il y a une erreur :
> J'ai testé à la main dans le terminal et voilà le résultat :
> 
> # apt-get remove phpmyadmin
> Lecture des listes de paquets... Fait
> Construction de l'arbre des dépendances... Fait
> Les paquets suivants seront ENLEVÉS :
>   phpmyadmin
> 0 mis à jour, 0 nouvellement installés, 1 à enlever et 0 non mis à jour.
> Il est nécessaire de prendre 0o dans les archives.
> Après dépaquetage, 11,1Mo d'espace disque seront libérés.
> Souhaitez-vous continuer [O/n] ? o
> (Lecture de la base de données... 109123 fichiers et répertoires déjà 
> installés.)
> Suppression de phpmyadmin ...
> /var/lib/dpkg/info/phpmyadmin.prerm: line 12: db_get: command not found
> dpkg : erreur de traitement de phpmyadmin (--remove) :
>  le sous-processus pre-removal script a retourné une erreur de sortie 
> d'état 127Des erreurs ont été rencontrées pendant l'exécution :
>  phpmyadmin
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> 
> 
> Le package debconf est bien installé.
> 
> j'ai testé avec dpkg aussi, mais j'ai le même résultat.
> J'ai regardé sur le forum d'ubuntu fr, il y a eu un thread dessus 
> (http://forum.ubuntu-fr.org/viewtopic.php?id=15467) mais pas de solution.
> J'ai été voir sur ubuntuforums.com, mais pas de réponse non plus.
> Le chan d'ubuntu-fr n'a pas pu m'aider non plus :/
> 
> Bref, j'ai pas de solution alors si vous avez une idée je suis preneur

Apparemment, le fichier qui contient la fonction db_get n'est pas
/sourcé/. Édite le fichier /var/lib/dpkg/info/phpmyadmin.prerm et ajoute
avant le commentaire « # Package maintainer's commands follow: » la
ligne suivante (sans oublier le point) :

. /usr/share/debconf/confmodule

Sauvegarde et retente la suppression du paquet.

> J'ai aussi un autre problème suite à ça :
> Je suis revenu en php4, mais ça fonctionne "pas entièrement". phpmyadmin 
> fonctionne, la fonction phpinfo() aussi mais tous les sites que j'ai en 
> local, aucun ne fonctionne et j'ai une page web toute blanche sans code 
> source :/
> Alors que ça fonctionnais avant, et que sous Windows les sites 
> fonctionnent parfaitement.
> Une idée ?
> 
> Merci.

De rien.

Fabrice.
-------------- section suivante --------------
Une pièce jointe non texte a été nettoyée...
Nom: non disponible
Type: application/pgp-signature
Taille: 189 octets
Desc: non disponible
Url: https://lists.ubuntu.com/archives/ubuntu-fr/attachments/20051026/ecca8c13/attachment.pgp 


Plus d'informations sur la liste de diffusion ubuntu-fr